drop database if exists przychodnia;

create database przychodnia;

use przychodnia;

create table ulice (id_ulicy int auto_increment,
		    ulica varchar(30),
		    primary key (id_ulicy));

create table miasta (id_miasta int auto_increment,
		    miasto varchar(30),
		    primary key (id_miasta));

create table specjalizacje (id_specjalizacji int auto_increment,
		    	    specjalizacja varchar(30),
		            primary key (id_specjalizacji));

create table lekarze (id_lekarza int auto_increment,
		      imie varchar(30),
		      nazwisko varchar(30),
		      specjalizacja int,
		      primary key (id_lekarza),
		      foreign key (specjalizacja) references specjalizacje(id_specjalizacji)
		      on update no action on delete no action);

create table pacjenci (id_pacjenta int auto_increment,
		       imie varchar(30),
		       nazwisko varchar(30),
		       ulica int,
		       miasto int,
		       pesel bigint,
		       lekarz int,
		       primary key (id_pacjenta),
		       foreign key (ulica) references ulice(id_ulicy)
		       on update no action on delete no action,
		       foreign key (miasto) references miasta(id_miasta)
		       on update no action on delete no action,
		       foreign key (lekarz) references lekarze(id_lekarza)
		       on update no action on delete no action);



